Get email onboarding review status

Returns the customer-safe organization review decision, workflow stage, next action, and current sending-identity clearances.

GET
/v1/email/onboarding-review

Returns the customer-safe organization review decision, workflow stage, next action, and current sending-identity clearances. An organization that has not been reviewed yet is returned in the blocked initial state.

Authorization

apiKey
headerx-api-key<token>

Response Body

OnboardingReviewStatus

application/json
  1. response
decision*string
Value in"undecided""approved""rejected"
trustTier*string
Value in"screened""probation""established"
stage*string
Value in"collecting""automated_review""manual_review""information_requested""complete"
generation*integer
Range-9007199254740991 <= value <= 9007199254740991
canSend*boolean
code*|null
nextAction*|null
canReapply*boolean
informationRequest*|null
identities*array<>
updatedAt*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getOnboardingReview({});
Example Response
{  "decision": "undecided",  "trustTier": "screened",  "stage": "collecting",  "generation": -9007199254740991,  "canSend": true,  "code": "review_required",  "nextAction": "wait_for_review",  "canReapply": true,  "informationRequest": {    "id": "string",    "requestedFields": [      "string"    ],    "requestedAt": "string",    "canRespond": true  },  "identities": [    {      "identityId": "string",      "decision": "undecided",      "generation": -9007199254740991,      "canSend": true,      "code": "review_required",      "nextAction": "wait_for_review",      "updatedAt": "string"    }  ],  "updatedAt": "string"}

Related documentation